description: >
    Interface to query intrusion detector status.

properties:
    - name: Status
      type: enum[self.Status]
      default: "Normal"
      description: >
          Status string of chassis intrusion detector. The value is defined in
          chassis redfish schema. Can be "Normal", "HardwareIntrusion" or
          "TamperingDetected".
    - name: Rearm
      type: enum[self.RearmMode]
      default: "Automatic"
      description: >
          Mode string of chassis intrusion detector. The value is defined in
          chassis redfish schema. Can be "Automatic" or "Manual".

enumerations:
    - name: RearmMode
      description: >
          Methods to rearm the chassis intrusion status.
      values:
          - name: "Automatic"
            description: >
                Automatic Rearm method.
          - name: "Manual"
            description: >
                Manual Rearm method.
    - name: Status
      description: >
          The physical security state of the chassis.
      values:
          - name: "Normal"
            description: >
                No physical security condition is detected at this time.
          - name: "HardwareIntrusion"
            description: >
                Any mechanism protecting the chassis's internal hardwares from
                being accessed is detected to be in an insecure state.
          - name: "TamperingDetected"
            description: >
                Physical tampering is detected.
